//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: V1.9.9 Beta-1
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138B
//Device Version: B
//Created Time: Thu May 25 16:58:49 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

    Serdes_Top your_instance_name(
        .Giga_Serial_Ethernet_Top_rx_mac_clk_o(Giga_Serial_Ethernet_Top_rx_mac_clk_o_o), //output Giga_Serial_Ethernet_Top_rx_mac_clk_o
        .Giga_Serial_Ethernet_Top_rx_mac_valid_o(Giga_Serial_Ethernet_Top_rx_mac_valid_o_o), //output Giga_Serial_Ethernet_Top_rx_mac_valid_o
        .Giga_Serial_Ethernet_Top_rx_mac_data_o(Giga_Serial_Ethernet_Top_rx_mac_data_o_o), //output [7:0] Giga_Serial_Ethernet_Top_rx_mac_data_o
        .Giga_Serial_Ethernet_Top_rx_mac_last_o(Giga_Serial_Ethernet_Top_rx_mac_last_o_o), //output Giga_Serial_Ethernet_Top_rx_mac_last_o
        .Giga_Serial_Ethernet_Top_rx_mac_error_o(Giga_Serial_Ethernet_Top_rx_mac_error_o_o), //output Giga_Serial_Ethernet_Top_rx_mac_error_o
        .Giga_Serial_Ethernet_Top_tx_mac_clk_o(Giga_Serial_Ethernet_Top_tx_mac_clk_o_o), //output Giga_Serial_Ethernet_Top_tx_mac_clk_o
        .Giga_Serial_Ethernet_Top_tx_mac_ready_o(Giga_Serial_Ethernet_Top_tx_mac_ready_o_o), //output Giga_Serial_Ethernet_Top_tx_mac_ready_o
        .Giga_Serial_Ethernet_Top_tx_collision_o(Giga_Serial_Ethernet_Top_tx_collision_o_o), //output Giga_Serial_Ethernet_Top_tx_collision_o
        .Giga_Serial_Ethernet_Top_tx_retransmit_o(Giga_Serial_Ethernet_Top_tx_retransmit_o_o), //output Giga_Serial_Ethernet_Top_tx_retransmit_o
        .Giga_Serial_Ethernet_Top_rx_statistics_valid_o(Giga_Serial_Ethernet_Top_rx_statistics_valid_o_o), //output Giga_Serial_Ethernet_Top_rx_statistics_valid_o
        .Giga_Serial_Ethernet_Top_rx_statistics_vector_o(Giga_Serial_Ethernet_Top_rx_statistics_vector_o_o), //output [26:0] Giga_Serial_Ethernet_Top_rx_statistics_vector_o
        .Giga_Serial_Ethernet_Top_rx_pause_req_o(Giga_Serial_Ethernet_Top_rx_pause_req_o_o), //output Giga_Serial_Ethernet_Top_rx_pause_req_o
        .Giga_Serial_Ethernet_Top_rx_pause_val_o(Giga_Serial_Ethernet_Top_rx_pause_val_o_o), //output [15:0] Giga_Serial_Ethernet_Top_rx_pause_val_o
        .Giga_Serial_Ethernet_Top_tx_statistics_valid_o(Giga_Serial_Ethernet_Top_tx_statistics_valid_o_o), //output Giga_Serial_Ethernet_Top_tx_statistics_valid_o
        .Giga_Serial_Ethernet_Top_tx_statistics_vector_o(Giga_Serial_Ethernet_Top_tx_statistics_vector_o_o), //output [28:0] Giga_Serial_Ethernet_Top_tx_statistics_vector_o
        .Giga_Serial_Ethernet_Top_miim_rddata_o(Giga_Serial_Ethernet_Top_miim_rddata_o_o), //output [15:0] Giga_Serial_Ethernet_Top_miim_rddata_o
        .Giga_Serial_Ethernet_Top_miim_rddata_valid_o(Giga_Serial_Ethernet_Top_miim_rddata_valid_o_o), //output Giga_Serial_Ethernet_Top_miim_rddata_valid_o
        .Giga_Serial_Ethernet_Top_miim_busy_o(Giga_Serial_Ethernet_Top_miim_busy_o_o), //output Giga_Serial_Ethernet_Top_miim_busy_o
        .Giga_Serial_Ethernet_Top_mdc_o(Giga_Serial_Ethernet_Top_mdc_o_o), //output Giga_Serial_Ethernet_Top_mdc_o
        .Giga_Serial_Ethernet_Top_mdio_out_o(Giga_Serial_Ethernet_Top_mdio_out_o_o), //output Giga_Serial_Ethernet_Top_mdio_out_o
        .Giga_Serial_Ethernet_Top_mdio_oen_o(Giga_Serial_Ethernet_Top_mdio_oen_o_o), //output Giga_Serial_Ethernet_Top_mdio_oen_o
        .Giga_Serial_Ethernet_Top_status_vector_o(Giga_Serial_Ethernet_Top_status_vector_o_o), //output [10:0] Giga_Serial_Ethernet_Top_status_vector_o
        .Giga_Serial_Ethernet_Top_link_partner_ability_base_o(Giga_Serial_Ethernet_Top_link_partner_ability_base_o_o), //output [15:0] Giga_Serial_Ethernet_Top_link_partner_ability_base_o
        .Giga_Serial_Ethernet_Top_clk_in_i(Giga_Serial_Ethernet_Top_clk_in_i_i), //input Giga_Serial_Ethernet_Top_clk_in_i
        .Giga_Serial_Ethernet_Top_rstn_i(Giga_Serial_Ethernet_Top_rstn_i_i), //input Giga_Serial_Ethernet_Top_rstn_i
        .Giga_Serial_Ethernet_Top_signal_detect_i(Giga_Serial_Ethernet_Top_signal_detect_i_i), //input Giga_Serial_Ethernet_Top_signal_detect_i
        .Giga_Serial_Ethernet_Top_basex_link_timer_i(Giga_Serial_Ethernet_Top_basex_link_timer_i_i), //input [8:0] Giga_Serial_Ethernet_Top_basex_link_timer_i
        .Giga_Serial_Ethernet_Top_sgmii_link_timer_i(Giga_Serial_Ethernet_Top_sgmii_link_timer_i_i), //input [8:0] Giga_Serial_Ethernet_Top_sgmii_link_timer_i
        .Giga_Serial_Ethernet_Top_basex_or_sgmii_i(Giga_Serial_Ethernet_Top_basex_or_sgmii_i_i), //input Giga_Serial_Ethernet_Top_basex_or_sgmii_i
        .Giga_Serial_Ethernet_Top_sgmii_mode_i(Giga_Serial_Ethernet_Top_sgmii_mode_i_i), //input Giga_Serial_Ethernet_Top_sgmii_mode_i
        .Giga_Serial_Ethernet_Top_repeater_mode_i(Giga_Serial_Ethernet_Top_repeater_mode_i_i), //input Giga_Serial_Ethernet_Top_repeater_mode_i
        .Giga_Serial_Ethernet_Top_tx_mac_valid_i(Giga_Serial_Ethernet_Top_tx_mac_valid_i_i), //input Giga_Serial_Ethernet_Top_tx_mac_valid_i
        .Giga_Serial_Ethernet_Top_tx_mac_data_i(Giga_Serial_Ethernet_Top_tx_mac_data_i_i), //input [7:0] Giga_Serial_Ethernet_Top_tx_mac_data_i
        .Giga_Serial_Ethernet_Top_tx_mac_last_i(Giga_Serial_Ethernet_Top_tx_mac_last_i_i), //input Giga_Serial_Ethernet_Top_tx_mac_last_i
        .Giga_Serial_Ethernet_Top_tx_mac_error_i(Giga_Serial_Ethernet_Top_tx_mac_error_i_i), //input Giga_Serial_Ethernet_Top_tx_mac_error_i
        .Giga_Serial_Ethernet_Top_rx_fcs_fwd_ena_i(Giga_Serial_Ethernet_Top_rx_fcs_fwd_ena_i_i), //input Giga_Serial_Ethernet_Top_rx_fcs_fwd_ena_i
        .Giga_Serial_Ethernet_Top_rx_jumbo_ena_i(Giga_Serial_Ethernet_Top_rx_jumbo_ena_i_i), //input Giga_Serial_Ethernet_Top_rx_jumbo_ena_i
        .Giga_Serial_Ethernet_Top_tx_pause_req_i(Giga_Serial_Ethernet_Top_tx_pause_req_i_i), //input Giga_Serial_Ethernet_Top_tx_pause_req_i
        .Giga_Serial_Ethernet_Top_tx_pause_val_i(Giga_Serial_Ethernet_Top_tx_pause_val_i_i), //input [15:0] Giga_Serial_Ethernet_Top_tx_pause_val_i
        .Giga_Serial_Ethernet_Top_tx_pause_source_addr_i(Giga_Serial_Ethernet_Top_tx_pause_source_addr_i_i), //input [47:0] Giga_Serial_Ethernet_Top_tx_pause_source_addr_i
        .Giga_Serial_Ethernet_Top_tx_ifg_delay_ena_i(Giga_Serial_Ethernet_Top_tx_ifg_delay_ena_i_i), //input Giga_Serial_Ethernet_Top_tx_ifg_delay_ena_i
        .Giga_Serial_Ethernet_Top_tx_ifg_delay_i(Giga_Serial_Ethernet_Top_tx_ifg_delay_i_i), //input [7:0] Giga_Serial_Ethernet_Top_tx_ifg_delay_i
        .Giga_Serial_Ethernet_Top_tx_fcs_fwd_ena_i(Giga_Serial_Ethernet_Top_tx_fcs_fwd_ena_i_i), //input Giga_Serial_Ethernet_Top_tx_fcs_fwd_ena_i
        .Giga_Serial_Ethernet_Top_miim_hs_clk_i(Giga_Serial_Ethernet_Top_miim_hs_clk_i_i), //input Giga_Serial_Ethernet_Top_miim_hs_clk_i
        .Giga_Serial_Ethernet_Top_miim_phyad_i(Giga_Serial_Ethernet_Top_miim_phyad_i_i), //input [4:0] Giga_Serial_Ethernet_Top_miim_phyad_i
        .Giga_Serial_Ethernet_Top_miim_regad_i(Giga_Serial_Ethernet_Top_miim_regad_i_i), //input [4:0] Giga_Serial_Ethernet_Top_miim_regad_i
        .Giga_Serial_Ethernet_Top_miim_wrdata_i(Giga_Serial_Ethernet_Top_miim_wrdata_i_i), //input [15:0] Giga_Serial_Ethernet_Top_miim_wrdata_i
        .Giga_Serial_Ethernet_Top_miim_wren_i(Giga_Serial_Ethernet_Top_miim_wren_i_i), //input Giga_Serial_Ethernet_Top_miim_wren_i
        .Giga_Serial_Ethernet_Top_miim_rden_i(Giga_Serial_Ethernet_Top_miim_rden_i_i), //input Giga_Serial_Ethernet_Top_miim_rden_i
        .Giga_Serial_Ethernet_Top_mdio_in_i(Giga_Serial_Ethernet_Top_mdio_in_i_i), //input Giga_Serial_Ethernet_Top_mdio_in_i
        .Giga_Serial_Ethernet_Top_configuration_vector_i(Giga_Serial_Ethernet_Top_configuration_vector_i_i) //input [14:0] Giga_Serial_Ethernet_Top_configuration_vector_i
    );

//--------Copy end-------------------
