//Copyright (C)2014-2023 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//GOWIN Version: 1.9.9 Beta-1
//Created Time: 2023-05-25 16:56:58
create_clock -name clk_in -period 20 -waveform {0 10} [get_nets {clk_in}]
create_clock -name rx_mac_clk -period 8 -waveform {0 4} [get_nets {rx_mac_clk}]
create_clock -name tx_mac_clk -period 8 -waveform {0 4} [get_nets {tx_mac_clk}]
set_false_path -from [get_clocks {clk_in}] -to [get_clocks {rx_mac_clk tx_mac_clk}] 
set_false_path -from [get_clocks {rx_mac_clk}] -to [get_clocks {clk_in tx_mac_clk}] 
set_false_path -from [get_clocks {tx_mac_clk}] -to [get_clocks {rx_mac_clk clk_in}] 
