//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: V1.9.9 Beta-1
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138
//Device Version: B
//Created Time: Thu May 25 16:58:45 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	Giga_Serial_Ethernet_Top your_instance_name(
		.clk_in_i(clk_in_i_i), //input clk_in_i
		.rstn_i(rstn_i_i), //input rstn_i
		.serdes_pcs_tx_clk_i(serdes_pcs_tx_clk_i_i), //input serdes_pcs_tx_clk_i
		.serdes_pcs_rx_clk_i(serdes_pcs_rx_clk_i_i), //input serdes_pcs_rx_clk_i
		.serdes_qpll1_ok_i(serdes_qpll1_ok_i_i), //input serdes_qpll1_ok_i
		.serdes_qpll0_ok_i(serdes_qpll0_ok_i_i), //input serdes_qpll0_ok_i
		.serdes_cpll_ok_i(serdes_cpll_ok_i_i), //input serdes_cpll_ok_i
		.serdes_pma_rx_lock_i(serdes_pma_rx_lock_i_i), //input serdes_pma_rx_lock_i
		.serdes_tx_fifo_afull_i(serdes_tx_fifo_afull_i_i), //input serdes_tx_fifo_afull_i
		.serdes_fabric_ctrl_o(serdes_fabric_ctrl_o_o), //output [42:0] serdes_fabric_ctrl_o
		.serdes_fabric_ctrl_h_o(serdes_fabric_ctrl_h_o_o), //output [42:0] serdes_fabric_ctrl_h_o
		.serdes_fabric_rstn_o(serdes_fabric_rstn_o_o), //output serdes_fabric_rstn_o
		.serdes_fabric_tx_clk_o(serdes_fabric_tx_clk_o_o), //output serdes_fabric_tx_clk_o
		.serdes_fabric_rx_clk_o(serdes_fabric_rx_clk_o_o), //output serdes_fabric_rx_clk_o
		.serdes_pcs_tx_rst_o(serdes_pcs_tx_rst_o_o), //output serdes_pcs_tx_rst_o
		.serdes_pcs_rx_rst_o(serdes_pcs_rx_rst_o_o), //output serdes_pcs_rx_rst_o
		.serdes_fabric_tx_vld_o(serdes_fabric_tx_vld_o_o), //output serdes_fabric_tx_vld_o
		.serdes_rxfifo_aempty_i(serdes_rxfifo_aempty_i_i), //input serdes_rxfifo_aempty_i
		.serdes_rxfifo_rd_en_o(serdes_rxfifo_rd_en_o_o), //output serdes_rxfifo_rd_en_o
		.serdes_rxdata_i(serdes_rxdata_i_i), //input [10:0] serdes_rxdata_i
		.serdes_txdata_o(serdes_txdata_o_o), //output [9:0] serdes_txdata_o
		.signal_detect_i(signal_detect_i_i), //input signal_detect_i
		.basex_link_timer_i(basex_link_timer_i_i), //input [8:0] basex_link_timer_i
		.sgmii_link_timer_i(sgmii_link_timer_i_i), //input [8:0] sgmii_link_timer_i
		.basex_or_sgmii_i(basex_or_sgmii_i_i), //input basex_or_sgmii_i
		.sgmii_mode_i(sgmii_mode_i_i), //input sgmii_mode_i
		.repeater_mode_i(repeater_mode_i_i), //input repeater_mode_i
		.rx_mac_clk_o(rx_mac_clk_o_o), //output rx_mac_clk_o
		.rx_mac_valid_o(rx_mac_valid_o_o), //output rx_mac_valid_o
		.rx_mac_data_o(rx_mac_data_o_o), //output [7:0] rx_mac_data_o
		.rx_mac_last_o(rx_mac_last_o_o), //output rx_mac_last_o
		.rx_mac_error_o(rx_mac_error_o_o), //output rx_mac_error_o
		.tx_mac_clk_o(tx_mac_clk_o_o), //output tx_mac_clk_o
		.tx_mac_valid_i(tx_mac_valid_i_i), //input tx_mac_valid_i
		.tx_mac_data_i(tx_mac_data_i_i), //input [7:0] tx_mac_data_i
		.tx_mac_last_i(tx_mac_last_i_i), //input tx_mac_last_i
		.tx_mac_error_i(tx_mac_error_i_i), //input tx_mac_error_i
		.tx_mac_ready_o(tx_mac_ready_o_o), //output tx_mac_ready_o
		.tx_collision_o(tx_collision_o_o), //output tx_collision_o
		.tx_retransmit_o(tx_retransmit_o_o), //output tx_retransmit_o
		.rx_fcs_fwd_ena_i(rx_fcs_fwd_ena_i_i), //input rx_fcs_fwd_ena_i
		.rx_jumbo_ena_i(rx_jumbo_ena_i_i), //input rx_jumbo_ena_i
		.rx_statistics_valid_o(rx_statistics_valid_o_o), //output rx_statistics_valid_o
		.rx_statistics_vector_o(rx_statistics_vector_o_o), //output [26:0] rx_statistics_vector_o
		.rx_pause_req_o(rx_pause_req_o_o), //output rx_pause_req_o
		.rx_pause_val_o(rx_pause_val_o_o), //output [15:0] rx_pause_val_o
		.tx_pause_req_i(tx_pause_req_i_i), //input tx_pause_req_i
		.tx_pause_val_i(tx_pause_val_i_i), //input [15:0] tx_pause_val_i
		.tx_pause_source_addr_i(tx_pause_source_addr_i_i), //input [47:0] tx_pause_source_addr_i
		.tx_ifg_delay_ena_i(tx_ifg_delay_ena_i_i), //input tx_ifg_delay_ena_i
		.tx_ifg_delay_i(tx_ifg_delay_i_i), //input [7:0] tx_ifg_delay_i
		.tx_fcs_fwd_ena_i(tx_fcs_fwd_ena_i_i), //input tx_fcs_fwd_ena_i
		.tx_statistics_valid_o(tx_statistics_valid_o_o), //output tx_statistics_valid_o
		.tx_statistics_vector_o(tx_statistics_vector_o_o), //output [28:0] tx_statistics_vector_o
		.miim_hs_clk_i(miim_hs_clk_i_i), //input miim_hs_clk_i
		.miim_phyad_i(miim_phyad_i_i), //input [4:0] miim_phyad_i
		.miim_regad_i(miim_regad_i_i), //input [4:0] miim_regad_i
		.miim_wrdata_i(miim_wrdata_i_i), //input [15:0] miim_wrdata_i
		.miim_wren_i(miim_wren_i_i), //input miim_wren_i
		.miim_rden_i(miim_rden_i_i), //input miim_rden_i
		.miim_rddata_o(miim_rddata_o_o), //output [15:0] miim_rddata_o
		.miim_rddata_valid_o(miim_rddata_valid_o_o), //output miim_rddata_valid_o
		.miim_busy_o(miim_busy_o_o), //output miim_busy_o
		.mdc_o(mdc_o_o), //output mdc_o
		.mdio_in_i(mdio_in_i_i), //input mdio_in_i
		.mdio_out_o(mdio_out_o_o), //output mdio_out_o
		.mdio_oen_o(mdio_oen_o_o), //output mdio_oen_o
		.configuration_vector_i(configuration_vector_i_i), //input [14:0] configuration_vector_i
		.status_vector_o(status_vector_o_o), //output [10:0] status_vector_o
		.link_partner_ability_base_o(link_partner_ability_base_o_o) //output [15:0] link_partner_ability_base_o
	);

//--------Copy end-------------------
